declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    max: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    value: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    color: {
        type: StringConstructor;
        default: string;
        options: string[];
    };
}>, {}, {}, {
    progress(): number;
    isOverflow(): boolean;
    progressWidth(): number;
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    max: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    value: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    color: {
        type: StringConstructor;
        default: string;
        options: string[];
    };
}>> & Readonly<{}>, {
    value: string | number;
    color: string;
    max: string | number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
